# Struktur des ENLYZE Power BI Connectors

Der ENLYZE Power BI Connector verbindet die [ENLYZE API](https://app.enlyze.com/api/v2/redoc) mit Power BI. Damit können Daten aus der ENLYZE Data Platform abgefragt und in Power BI-Berichte integriert werden.

## Datentabellen

Der ENLYZE Power BI Connector bietet direkten Zugriff auf mehrere vordefinierte Datentabellen. Detaillierte Beschreibungen der enthaltenen Daten findest du in der verlinkten API-Dokumentation.

* [**Sites**](https://app.enlyze.com/api/v2/redoc#operation/get_sites_v2_sites_get): Listet alle Standorte in der ENLYZE Data Platform auf.
* [**Machines**](https://app.enlyze.com/api/v2/redoc#operation/get_machines_v2_machines_get): Enthält alle Maschinen, die den jeweiligen Standorten zugeordnet sind.
* [**Products**](https://app.enlyze.com/api/v2/redoc#operation/get_products_v2_products_get): Umfasst alle im System registrierten Produkte.
* [**Variables**](https://app.enlyze.com/api/v2/redoc#operation/get_variables_v2_variables_get): Stellt alle aktiven Maschinenvariablen bereit.
* [**Production Runs**](https://app.enlyze.com/api/v2/redoc#operation/get_production_runs_v2_production_runs_get): Enthält alle registrierten Produktionsaufträge über alle Maschinen hinweg.
* [**Downtimes**](https://app.enlyze.com/api/v2/redoc#operation/get_downtimes_v2_downtimes_get): Enthält alle erfassten Maschinenstillstände.

### Funktionen

Neben tabellenbasierten Abfragen bietet der ENLYZE Power BI Connector zwei spezielle Funktionen zur Abfrage bestimmter Daten:

* **Maschinenproduktivitätskennzahlen**: Ermöglicht die Abfrage zeitbasierter, aggregierter Maschinenproduktivitäts-KPIs. Eine Schritt-für-Schritt-Anleitung zur Nutzung dieser Funktion findest du im Tutorial [Aggregierte Maschinenkennzahlen abrufen](/integrations/power-bi/tutorials/aggregierte-maschinenkennzahlen-abrufen.md).
* **Zeitreihen**: Ermöglicht die Abfrage von Zeitreihendaten spezifischer Maschinenvariablen. Eine Anleitung zur Nutzung dieser Funktion findest du im Tutorial [Zeitreihendaten aus Maschinenvariablen abrufen](/integrations/power-bi/tutorials/zeitreihendaten-aus-maschinenvariablen-abrufen.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enlyze.com/integrations/power-bi/struktur-des-enlyze-power-bi-connectors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
